Resources:
  DatabaseTypeActivation:
    Type: AWS::CloudFormation::TypeActivation
    Properties:
      AutoUpdate: true
      ExecutionRoleArn: !GetAtt ExecutionRole.Arn
      Type: RESOURCE
      TypeName: SvectorDB::VectorDatabase::Database
      PublisherId: a867ba60608173fcd64ddc25dcbee967cb54dbb4
      VersionBump: MAJOR
  ApiKeyTypeActivation:
    Type: AWS::CloudFormation::TypeActivation
    Properties:
      AutoUpdate: true
      ExecutionRoleArn: !GetAtt ExecutionRole.Arn
      Type: RESOURCE
      TypeName: SvectorDB::VectorDatabase::ApiKey
      PublisherId: a867ba60608173fcd64ddc25dcbee967cb54dbb4
      VersionBump: MAJOR
  ExecutionRole:
    Type: AWS::IAM::Role
    Properties:
      AssumeRolePolicyDocument:
        Version: '2012-10-17'
        Statement:
          - Effect: Allow
            Principal:
              Service: resources.cloudformation.amazonaws.com
            Action: sts:AssumeRole
            Condition:
              StringEquals:
                aws:SourceAccount: !Ref AWS::AccountId
              StringLike:
                aws:SourceArn: !Sub arn:${AWS::Partition}:cloudformation:${AWS::Region}:${AWS::AccountId}:type/resource/SvectorDB-VectorDatabase-*/*